---
name: Bug report
about: Create a report to help us improve
title: ""
labels: bug
assignees: ""
---

## Guidelines

Please note that GitHub issues are only meant for bug reports/feature requests.
If you have questions on how to use Sigma.js, please ask on [StackOverflow](https://stackoverflow.com/questions/tagged/sigma.js) instead of creating an issue here.

To help us understand your issue, please specify important details, primarily:

- Sigma.js version : X.Y.Z
- Graphology version : X.Y.Z
- Operating system: (for example Windows 95/Ubuntu 16.04)
- Web browser: (for example Firefox 82.0.2)
- **Steps to reproduce**
- Expected behavior
- Actual behavior

Additionally, include (as appropriate) console logs, stacktraces, and other debug info.

We recommend you to create a live example of your issue on [CodeSandbox](https://codesandbox.io/) so we can reproduce it. You can start with this template: https://githubbox.com/jacomyal/sigma.js/tree/main/examples/template

## Example bug report

Modification of the node default color in the settings has no effect

**Sigma.js version:** 2.0.0
**Graphology version:** 0.19.2
**Operating System:** Ubuntu 15.10
**Web browser:** Firefox 82.0.2

### Steps to reproduce

Check the live example https://codesandbox.io/s/sigmajs-issue-example-om8c0

### Expected behavior

Nodes should be displayed in red

### Actual behavior

Nodes are displayed in black

## Note

If the issue has an inactivity of **30 days**, it becomes stale.
With an additional inactivity of **14 days**, the issue is closed
